tools/cloney
changeset 61 7684fe2a9eb5
child 116 ae6a90899b42
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tools/cloney	Thu Jan 20 14:23:47 2011 -0800
@@ -0,0 +1,51 @@
+#!/bin/ksh
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+# Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
+#
+# clone a directory to another using symlinks, in a very clunky way
+
+if [ $# != 2 ]; then
+	echo "usage $0 srcdir destdir"
+	exit 1
+fi
+
+srcdir=$1
+destdir=$2
+
+PATH=/usr/bin
+
+echo symlink cloning $srcdir to $destdir
+
+cd ${srcdir}
+for i in `gfind . -type d | \
+    grep -v '^.$' | \
+    gsed -e 's,^./,,'`
+do
+	mkdir -p ${destdir}/$i
+done
+
+for i in `gfind . -type f | \
+    gsed -e 's,^./,,'`
+do
+	rm -f ${destdir}/$i
+	ln -s ${srcdir}/$i ${destdir}/$i
+done